<?php
/**
 * Core functions.
 *
 * @package florist_elementor
 */

if ( ! function_exists( 'florist_elementor_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function florist_elementor_get_option( $key ) {

		$florist_elementor_default_options = florist_elementor_get_default_theme_options();

		if ( empty( $key ) ) {
			return;
		}

		$florist_elementor_theme_options = (array)get_theme_mod( 'theme_options' );
		$florist_elementor_theme_options = wp_parse_args( $florist_elementor_theme_options, $florist_elementor_default_options );

		$florist_elementor_value = null;

		if ( isset( $florist_elementor_theme_options[ $key ] ) ) {
			$florist_elementor_value = $florist_elementor_theme_options[ $key ];
		}

		return $florist_elementor_value;

	}

endif;

if ( ! function_exists( 'florist_elementor_get_options' ) ) :

	/**
	 * Get all theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Theme options.
	 */
  function florist_elementor_get_options() {

    $florist_elementor_default_options = florist_elementor_get_default_theme_options();
    $florist_elementor_theme_options = (array)get_theme_mod( 'theme_options' );
    $florist_elementor_theme_options = wp_parse_args( $florist_elementor_theme_options, $florist_elementor_default_options );
    return $florist_elementor_theme_options;

  }

endif;

if( ! function_exists( 'florist_elementor_exclude_category_in_blog_page' ) ) :

  /**
   * Exclude category in blog page.
   *
   * @since 1.0
   */
  function florist_elementor_exclude_category_in_blog_page( $query ) {

    if( $query->is_home && $query->is_main_query()   ) {
      $florist_elementor_exclude_categories = florist_elementor_get_option( 'exclude_categories' );
      if ( ! empty( $florist_elementor_exclude_categories ) ) {
        $cats = explode( ',', $florist_elementor_exclude_categories );
        $cats = array_filter( $cats, 'is_numeric' );
        $florist_elementor_string_exclude = '';
        if ( ! empty( $cats ) ) {
          $florist_elementor_string_exclude = '-' . implode( ',-', $cats);
          $query->set( 'cat', $florist_elementor_string_exclude );
        }
      }
    }
    return $query;
  }

endif;

add_filter( 'pre_get_posts', 'florist_elementor_exclude_category_in_blog_page' );
